package com.community.huiju.dao;


import com.community.huiju.model.TpActivitySignIn;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TpActivitySignInMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpActivitySignIn record);

    int insertSelective(TpActivitySignIn record);

    TpActivitySignIn selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpActivitySignIn record);

    int updateByPrimaryKey(TpActivitySignIn record);

    /**
     * 查询当前人员是否已签到
     *
     */
    TpActivitySignIn selectSing(@Param("activityId") Integer activityId,@Param("userID") Integer userID);
}